Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.ant
Class IvyBuildList

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              fr.jayasoft.ivy.ant.IvyTask
                  fr.jayasoft.ivy.ant.IvyBuildList

public class IvyBuildList
extends IvyTask

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IvyBuildList()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet buildFiles)`
`void` | `execute()`
`java.lang.String` | `getIvyfilepath()`
`java.lang.String` | `getReference()`
`java.lang.String` | `getRoot()`
`boolean` | `isExcludeRoot()`
`boolean` | `isHaltonerror()`
`boolean` | `isReverse()`
`boolean` | `isSkipbuildwithoutivy()`
`void` | `setExcludeRoot(boolean root)`
`void` | `setHaltonerror(boolean haltOnError)`
`void` | `setIvyfilepath(java.lang.String ivyFilePath)`
`void` | `setReference(java.lang.String reference)`
`void` | `setReverse(boolean reverse)`
`void` | `setRoot(java.lang.String root)`
`void` | `setSkipbuildwithoutivy(boolean skipBuildFilesWithoutIvy)`

Methods inherited from class fr.jayasoft.ivy.ant.IvyTask
`doValidate, ensureMessageInitialised, ensureResolved, getIvyInstance, getProperty, getProperty, getPubDate, isValidate, mergeConfs, setIvyInstance, setResolved, setValidate, splitConfs`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyBuildList

    public IvyBuildList()

Method Detail

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet buildFiles)

### getReference

    public java.lang.String getReference()

### setReference

    public void setReference(java.lang.String reference)

### getRoot

    public java.lang.String getRoot()

### setRoot

    public void setRoot(java.lang.String root)

### isExcludeRoot

    public boolean isExcludeRoot()

### setExcludeRoot

    public void setExcludeRoot(boolean root)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### isHaltonerror

    public boolean isHaltonerror()

### setHaltonerror

    public void setHaltonerror(boolean haltOnError)

### getIvyfilepath

    public java.lang.String getIvyfilepath()

### setIvyfilepath

    public void setIvyfilepath(java.lang.String ivyFilePath)

### isSkipbuildwithoutivy

    public boolean isSkipbuildwithoutivy()

### setSkipbuildwithoutivy

    public void setSkipbuildwithoutivy(boolean skipBuildFilesWithoutIvy)

### isReverse

    public boolean isReverse()

### setReverse

    public void setReverse(boolean reverse)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD